# Function arrayTuples

- arrayTuples(...args: any[]): any[][]

  Given two or more parallel arrays, returns an array of tuples where each tuple is composed of [ a[i], b[i], ... z[i] ]

  #### Parameters

  - ...args: any[]

  #### Returns any[][]

  #### Example

      let foo = [ 0, 2, 4, 6 ];
      let bar = [ 1, 3, 5, 7 ];
      let baz = [ 10, 30, 50, 70 ];
      arrayTuples(foo, bar);       // [ [0, 1], [2, 3], [4, 5], [6, 7] ]
      arrayTuples(foo, bar, baz);  // [ [0, 1, 10], [2, 3, 30], [4, 5, 50], [6, 7, 70] ]

  - Defined in src/shared/common.js:390